#
# spec file for package procenv
#
# Copyright (c) 2017 SUSE LINUX GmbH, Nuernberg, Germany.
# Copyright (c) 2013 Pascal Bleser <pascal.bleser@opensuse.org>
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           procenv
Version:        0.50
Release:        1.10
Summary:        Process Environment Dump Tool
License:        GPL-3.0+
Group:          System/Base
URL:            https://launchpad.net/procenv/
Source:         https://github.com/jamesodhunt/procenv/archive/%{version}.tar.gz#/%{name}-%{version}.tar.gz
BuildRequires:  autoconf
BuildRequires:  automake
BuildRequires:  gcc
BuildRequires:  glibc-devel
BuildRequires:  libcap-devel
BuildRequires:  libnuma-devel
BuildRequires:  libtool
BuildRequires:  make
BuildRequires:  pkgconfig

%description
procenv is a tool that dumps all attributes of its environment. It can be run
as a test tool, to understand what environment a process runs in and for system
comparison.

%prep
%setup -q

%build
%configure
make %{?_smp_mflags}

%install
%make_install

%files
%doc AUTHORS ChangeLog COPYING NEWS README TODO
%{_bindir}/%{name}
%{_mandir}/man1/%{name}.1*

%changelog
* Wed Oct 18 2017 aavindraa@gmail.com
- Update to 0.50
- Packaging changes
  - Point to new github url
  - Lint spec file
  - Drop procenv-remove_date.patch
  - remove ChangeLog during build, as it's now zeroed out
* Sun Aug  2 2015 mpluskal@suse.com
- Update to 0.36
  * see attached ChangeLog for details
- Cleanup spec file with spec-clener
- Refresh procenv-remove_date.patch
* Sun Feb  2 2014 pascal.bleser@opensuse.org
- update to 0.31:
  * FIX: Environment display could cause a crash
  * FIX: Last attacher process in shared memory display on Linux incorrectly
    showed the current process name rather than the last
- changes from 0.28:
  * FEATURE: '--cpu' now displays processor affinity details (LP: #1251209)
  * FEATURE: --memory/-Y added to display NUMA memory details
- changes from 0.27:
  * Added IPC options '--shared-memory', '--semaphores' and '--message-queues'
  * Made default text output highly structured
  * Added ability to produce output in XML, JSON and "breadcrumb" (including
    CSV) formats
  * Added ability to specify indent amount, indent character and separators
    (via command-line or environment variable)
* Wed Aug 28 2013 pascal.bleser@opensuse.org
- update to 0.26:
  * added ability to show all arguments (-A/--arguments)
  (useful when using --exec)
  * added ability to display network details (-N/--network)
  * corrected output sort order
  * mount details now include block, inode and fsck details
- (0.25 only contained non-Linux specific changes)
* Sat Jun 29 2013 pascal.bleser@opensuse.org
- update to 0.24: (build fixes)
- changes from 0.23:
  * tolerate Linux environments where /proc is not mounted
- changes from 0.22:
  * added --platform option which contains some information that was formally
    in --misc output, but also now includes the number of "architecture bits"
    (executable bits) and the programming model for the platform (such as
    LP32/ILP64)
* Sun Apr  7 2013 pascal.bleser@opensuse.org
- initial version (0.21)
